Unit taeh4z_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AEH4Z_p;

function taeh4z: String;

implementation

function taeh4z: String;
var
J,I,N,MM,M,IERR,_i :Integer;
RLB,RUB :Extended;
EV :Array [0..2] of Extended;
RAB1 :Array [0..7] of Extended;
RAB2 :Array [0..19] of Extended;
IRAB1 :Array [0..2] of Integer;
const
AR :Array [0..15] of Extended = ( 1.0e0,0.42e0,0.54e0,0.66e0,0.42e0,1.0e0,0.32e0,
0.44e0,0.54e0,0.32e0,1.0e0,0.22e0,0.66e0,0.44e0,
0.22e0,1.0e0 );
AI :Array [0..15] of Extended = ( 0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,
0.e0,0.e0,0.e0,0.e0,0.e0,0.e0,0.e0 );
begin
for _i:=0 to 19 do
 RAB2[_i] := 0.0e0;  //  
Result := '';  {   }
Result := Result + Format('%s',
 [' BCEHE HEKOTOPX COCTBEHHX HAEH ' + #$0D#$0A +
 ' KOMEKCHO PMTOBO MATP,  ' + #$0D#$0A +
 '   ']) + #$0D#$0A; 
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AR' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AR[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AI' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AI[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
N := 4;
MM := 3;
RLB := 0.e0;
RUB := 1.e0;
AEH4Z(N,AR,AI,EV,RLB,RUB,MM,M,IRAB1,RAB1,RAB2,IERR);
Result := Result + Format('%s',[' PEYTAT']) + #$0D#$0A; 
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AR' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AR[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' AI' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[AI[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' EV' + #$0D#$0A]);
for I:=1 to 3 do
 begin
  Result := Result + Format('%20.16f ',[EV[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' IERR' + #$0D#$0A]);
Result := Result + Format('%8d ',[IERR]) + #$0D#$0A;
UtRes('taeh4z',Result);  {     taeh4z.res }
exit;
end;

end.
